.\"     $NetBSD: qe.4,v 1.1 2004/03/31 07:20:48 mrg Exp $
.\"
.\" Copyright (c) 1998 Jason L. Wright (jason@thought.net)
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
.\" DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
.\" INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
.\" (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
.\" SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
.\" ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.\" from: OpenBSD: qe.4,v 1.7 2003/06/02 18:51:34 jason Exp
.\"
.Dd March 31, 2004
.Dt QE 4
.Os
.Sh NAME
.Nm qe
.Nd SPARC Fast Ethernet interface
.Sh SYNOPSIS
.Cd "qec* at sbus? slot ? offset ?"
.Cd "qe* at qec?"
.Sh DESCRIPTION
The
.Nm
interface provides access to 10Mb/s Ethernet networks via the
.Tn AMD
Am79C940 (MACE) Ethernet controller.
The
.Nm
is found on the Sun QuadEthernet boards
(Sun part number SUNW,501-2062).
.Pp
Each of the host's network addresses
is specified at boot time with an
.Dv SIOCSIFADDR
.Xr ioctl 2 .
The
.Nm
interface employs the address resolution protocol described in
.Xr arp 4
to dynamically map between Internet and Ethernet addresses on the local
network.
.Sh SEE ALSO
.Xr arp 4 ,
.Xr be 4 ,
.Xr hme 4 ,
.Xr ie 4 ,
.Xr ifmedia 4 ,
.Xr inet 4 ,
.Xr intro 4 ,
.Xr le 4 ,
.Xr netintro 4 ,
.Xr qec 4 ,
.Xr sbus 4 ,
.Xr ifconfig 8
.Sh HISTORY
Support for the
.Nm
first appeared in
.Nx 1.4 .
